#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 15
%define with_nepomuk 0
%define shared_desktop_ontologies_version 0.11.0
%define module kactivities

Name:    kde4-kactivities
Summary: API for using and interacting with Activities 
Version: 4.13.3
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2+
Group:  System/Libraries
URL:     https://projects.kde.org/projects/kde/kdelibs/kactivities 
Source0: https://download.kde.org/stable/%{version}/src/%{module}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version}
%if %with_nepomuk
BuildRequires: pkgconfig(shared-desktop-ontologies) >= %{shared_desktop_ontologies_version}
BuildRequires: nepomuk-core-devel >= 1:%{version}
%endif

%description
API for using and interacting with Activities as a consumer, 
application adding information to them or as an activity manager.

%files
%{_kde_libdir}/kde4/kcm_activities.so
%{_kde_datadir}/apps/activitymanager/workspace/settings/BlacklistApplicationView.qml
%{_kde_datadir}/kde4/services/kcm_activities.desktop

#------------------------------------------------------------------------------ 

%if %with_nepomuk

%package -n kactivitymanagerd-nepomuk-plugin
Summary: Nepomuk plugin for activity manager
Requires: nepomuk-core
Group: Graphical desktop/KDE

%description -n kactivitymanagerd-nepomuk-plugin
This package provides the nepomuk support for kactivitymanagerd.

%files -n kactivitymanagerd-nepomuk-plugin
%{_kde_libdir}/kde4/imports/org/kde/activities/models/libkactivities-models-component-plugin.so
%{_kde_libdir}/kde4/imports/org/kde/activities/models/qmldir
%{_kde_libdir}/kde4/kactivitymanagerd_fileitem_linking_plugin.so
%{_kde_libdir}/kde4/kio_activities.so
%{_kde_libdir}/kde4/activitymanager_plugin_nepomuk.so
%{_kde_services}/activities.protocol
%{_kde_services}/kactivitymanagerd_fileitem_linking_plugin.desktop
%{_kde_services}/activitymanager-plugin-nepomuk.desktop

#------------------------------------------------------------------------------

%define kactivities_models_major 1
%define libkactivities_models %mklibname kactivities_models %{kactivities_models_major}

%package -n %{libkactivities_models}
Summary:    Kactivities Models Runtime Library
Group:      System/Libraries

%description -n %libkactivities_models
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{module} runtime library.

%files -n %libkactivities_models
%{_kde_libdir}/libkactivities-models.so.%{kactivities_models_major}*

#------------------------------------------------------------------------------

%define kactivities_model_devel %mklibname kactivities_model -d

%package -n %{kactivities_model_devel}
Summary:  Header files for %{module}
Provides: libkactivities_model-devel = %{epoch}:%{version}-%{release}
Provides: kactivities_model-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities_models} = %{epoch}:%{version}-%{release}
Group: Development/KDE and Qt 

%description -n %{kactivities_model_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{module}

%files -n %{kactivities_model_devel}
%{_kde_includedir}/kactivities-models/activitymodel.h
%{_kde_includedir}/kactivities-models/kactivities_models_export.h
%{_kde_includedir}/kactivities-models/resourcemodel.h
%{_kde_libdir}/cmake/KActivities-Models/*.cmake
%{_kde_libdir}/libkactivities-models.so
%{_kde_libdir}/pkgconfig/libkactivities-models.pc

%endif

#------------------------------------------------------------------------------

%define kactivities_major 6
%define libkactivities %mklibname kactivities %{kactivities_major}

%package -n %{libkactivities}
Summary:    Kactivities Runtime Library
Group:      System/Libraries

%description -n %libkactivities
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{module} runtime library.

%files -n %libkactivities
%{_kde_libdir}/libkactivities.so.%{kactivities_major}*

#------------------------------------------------------------------------------

%define kactivities_devel %mklibname %name -d

%package -n %{kactivities_devel}
Summary:  Header files for %{module}
Provides: lib%{module}-devel = %{epoch}:%{version}-%{release}
Provides: kactivities-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities} = %{epoch}:%{version}-%{release}

Group: Development/KDE and Qt 

%description -n %{kactivities_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{module}

%files -n %{kactivities_devel}
%{_kde_libdir}/*.so
%{_kde_libdir}/cmake/KActivities/
%{_kde_libdir}/pkgconfig/libkactivities.pc
%{_kde_includedir}/KDE/KActivities/
%{_kde_includedir}/kactivities/

#------------------------------------------------------------------------------

%prep
%setup -q -n %module-%version
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make_build -C %{_vpath_builddir}/src/lib
%make_build -C %{_vpath_builddir}/src/workspace/settings/

%install
%make_install -C %{_vpath_builddir}/src/lib
%make_install -C %{_vpath_builddir}/src/workspace/settings/


%changelog
* Wed Nov 23 2022 neoclust <neoclust> 1:4.13.3-15.mga9
+ Revision: 1910545
- Rebuild against fixed kdelibs4

* Wed Apr 06 2022 umeabot <umeabot> 1:4.13.3-14.mga9
+ Revision: 1845771
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1:4.13.3-13.mga8
+ Revision: 1513698
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 1:4.13.3-12.mga7
+ Revision: 1298472
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 1:4.13.3-11.mga6
+ Revision: 960823
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 neoclust <neoclust> 1:4.13.3-10.mga6
+ Revision: 853726
- omit kactivities base pkg
- Revert to kde4 version
- Rename
- New version 5.11.0

* Wed Dec 03 2014 lmenut <lmenut> 1:4.13.3-9.mga5
+ Revision: 800548
- Rebuild for KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.13.3-8.mga5
+ Revision: 787634
- Rebuild for KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.13.3-7.mga5
+ Revision: 749968
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.13.3-6.mga5
+ Revision: 734496
- Rebuild for KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.13.3-5.mga5
+ Revision: 680915
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.13.3-4.mga5
+ Revision: 667434
- Rebuild for KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.3-3.mga5
+ Revision: 662945
- rebuild for KDE SC 4.13.97
- obsoletes kactivitymanagerd-nepomuk-plugin

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.3-2.mga5
+ Revision: 656623
- rebuild for KDE SC 4.13.95

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.3-1.mga5
+ Revision: 653809
- Update to 4.13.3
- disable nepomuk

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.2-2.mga5
+ Revision: 651914
- rebuild for KDE SC 4.13.80

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636683
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625450
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615523
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609343
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606784
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603283
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600626
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590416
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589269
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554943
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551197
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539778
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490661
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 1:4.11.1-2.mga4
+ Revision: 488615
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476706
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465099
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458857
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455247
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Mon Jul 01 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448701
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Rename package to upstream name
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Mon Jun 03 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435637
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428309
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407133
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401931
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394318
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 357541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339286
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 31 2012 mikala <mikala> 1:4.9.95-2.mga3
+ Revision: 336685
- Bump Release (package is stuck in partial...)
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326610
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320156
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316109
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301893
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289638
- Update tarball to KDE SC 4.9.1
- Build activitymanager plugins

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276617
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269634
- update file list
- new version 4.8.97

* Fri Jun 29 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265007
- update file list
- update file list
- disable final build
- new version 4.8.95

* Sat Jun 09 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 258022
- update file list
- new version 4.8.4

* Fri Apr 06 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228917
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221534
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198095
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 190848
- Update tarball to KDE 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185813
- Update tarball to KDE 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182193
- Update tarball to KDE 4.7.90
- use gold linker
- enable -DKDE4_ENABLE_FINAL=ON
- fix files list (nepomuk files moved to )
- Add pkgconfig(shared-desktop-ontologies) as BR
- Remove redundant requires from -devel package
- Add epoch since upstream is now providing a tarball with lower version

* Fri Nov 25 2011 lmenut <lmenut> 6.1-2.mga2
+ Revision: 171967
- Fix conflicts on kdebase4-runtime

* Fri Nov 25 2011 mikala <mikala> 6.1-1.mga2
+ Revision: 171814
- Add missing epoch tag in conflicts

* Thu Nov 24 2011 mikala <mikala> 6.1-0.mga2
+ Revision: 171752
- imported package libkactivities

